/* ========================================
 *
 * Copyright AP Engineering, 2018
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your AP Engineering.
 *
 * ========================================
*/

#include "Error_Debug.h"

#if defined(__cplusplus)
extern "C" {
#endif

/*******************************************************************************
*            Globals Functions
*******************************************************************************/

/***************************************************************************//**
* Function Name: errorLED
********************************************************************************
*
* Summary:
*   This function set the user LED of the eval board to indicate an error 
*   or not. 
*
* Parameters:
*   bool error
*
* Return:
*   None
*
* Side Effects:
*   None
*
*******************************************************************************/
void errorLED( bool error )
{
    if ( error )
    {
        Cy_GPIO_Write( RedLED_0_PORT, RedLED_0_NUM, LED_ON );
//        Cy_GPIO_Write( GreenLED_0_PORT, GreenLED_0_NUM, LED_OFF );
//        Cy_GPIO_Write( BlueLED_0_PORT, BlueLED_0_NUM, LED_OFF ); 
    }
    else
    {
        Cy_GPIO_Write( RedLED_0_PORT, RedLED_0_NUM, LED_OFF );
//        Cy_GPIO_Write( GreenLED_0_PORT, GreenLED_0_NUM, LED_OFF );
//        Cy_GPIO_Write( BlueLED_0_PORT, BlueLED_0_NUM, LED_OFF );
    }
}

/***************************************************************************//**
* Function Name: handle_error
********************************************************************************
*
* Summary:
*   This function is a error condition with no return.
*
* Parameters:
*   None
*
* Return:
*   None
*
* Side Effects:
*   None
*
*******************************************************************************/
void handle_error()
{
    // Disable all interrupts 
    //__disable_irq();
    
    /* Switch on error LED */
    errorLED( true );
    
    // for(;;) {}
}
    
#if defined(__cplusplus)
}
#endif

/* [] END OF FILE */
