/* ========================================
 *
 * Copyright AP Engineering, 2018
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your AP Engineering.
 *
 * ========================================
*/

#ifndef ERROR_DEBUG_H
#define ERROR_DEBUG_H
      
#include "project.h"
#include <stdio.h>
#include <string.h>
    
/***************************************
*        Constants
****************************************/
// Error Indicator LED
#define LED_ON              (0x00u)
#define LED_OFF             (!LED_ON)

// Error Codes
#define NO_ERROR        0
#define OUT_OF_RANGE    1 
    
/***************************************
*        Macros
****************************************/
#define REPORT_ERROR() { fprintf( stderr, \
    "Process failed at line %d in %s\r\n", __LINE__, __FILE__ ); }
#define ERROR_MSG(s) { Cy_SCB_UART_PutString( UART_HW, (s) ); }
    
/***************************************
*       Prototypes
****************************************/
void errorLED( bool error );
void handle_error();

#endif // ERROR_DEBUG_H

/* [] END OF FILE */
