/*******************************************************************************
* File Name: PumpSensor_timeout.h
* Version 1.0
*
* Description:
*  This file provides constants and parameter values for the PumpSensor_timeout
*  component.
*
********************************************************************************
* Copyright 2016-2017, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(PumpSensor_timeout_CY_TCPWM_COUNTER_PDL_H)
#define PumpSensor_timeout_CY_TCPWM_COUNTER_PDL_H

#include "cyfitter.h"
#include "tcpwm/cy_tcpwm_counter.h"

   
/*******************************************************************************
* Variables
*******************************************************************************/
/**
* \addtogroup group_globals
* @{
*/
extern uint8_t  PumpSensor_timeout_initVar;
extern cy_stc_tcpwm_counter_config_t const PumpSensor_timeout_config;
/** @} group_globals */


/***************************************
*  Conditional Compilation Parameters
***************************************/

#define PumpSensor_timeout_INIT_COMPARE_OR_CAPTURE    (0UL)


/***************************************
*        Function Prototypes
****************************************/
/**
* \addtogroup group_general
* @{
*/
void PumpSensor_timeout_Start(void);
__STATIC_INLINE cy_en_tcpwm_status_t PumpSensor_timeout_Init(cy_stc_tcpwm_counter_config_t const *config);
__STATIC_INLINE void PumpSensor_timeout_DeInit(void);
__STATIC_INLINE void PumpSensor_timeout_Enable(void);
__STATIC_INLINE void PumpSensor_timeout_Disable(void);
__STATIC_INLINE uint32_t PumpSensor_timeout_GetStatus(void);

#if(CY_TCPWM_COUNTER_MODE_CAPTURE == PumpSensor_timeout_INIT_COMPARE_OR_CAPTURE)
    __STATIC_INLINE uint32_t PumpSensor_timeout_GetCapture(void);
    __STATIC_INLINE uint32_t PumpSensor_timeout_GetCaptureBuf(void);
#else
    __STATIC_INLINE void PumpSensor_timeout_SetCompare0(uint32_t compare0);
    __STATIC_INLINE uint32_t PumpSensor_timeout_GetCompare0(void);
    __STATIC_INLINE void PumpSensor_timeout_SetCompare1(uint32_t compare1);
    __STATIC_INLINE uint32_t PumpSensor_timeout_GetCompare1(void);
    __STATIC_INLINE void PumpSensor_timeout_EnableCompareSwap(bool enable);
#endif /* (CY_TCPWM_COUNTER_MODE_CAPTURE == PumpSensor_timeout_INIT_COMPARE_OR_CAPTURE) */

__STATIC_INLINE void PumpSensor_timeout_SetCounter(uint32_t count);
__STATIC_INLINE uint32_t PumpSensor_timeout_GetCounter(void);
__STATIC_INLINE void PumpSensor_timeout_SetPeriod(uint32_t period);
__STATIC_INLINE uint32_t PumpSensor_timeout_GetPeriod(void);
__STATIC_INLINE void PumpSensor_timeout_TriggerStart(void);
__STATIC_INLINE void PumpSensor_timeout_TriggerReload(void);
__STATIC_INLINE void PumpSensor_timeout_TriggerStop(void);
__STATIC_INLINE void PumpSensor_timeout_TriggerCapture(void);
__STATIC_INLINE uint32_t PumpSensor_timeout_GetInterruptStatus(void);
__STATIC_INLINE void PumpSensor_timeout_ClearInterrupt(uint32_t source);
__STATIC_INLINE void PumpSensor_timeout_SetInterrupt(uint32_t source);
__STATIC_INLINE void PumpSensor_timeout_SetInterruptMask(uint32_t mask);
__STATIC_INLINE uint32_t PumpSensor_timeout_GetInterruptMask(void);
__STATIC_INLINE uint32_t PumpSensor_timeout_GetInterruptStatusMasked(void);
/** @} general */


/***************************************
*           API Constants
***************************************/

/**
* \addtogroup group_macros
* @{
*/
/** This is a ptr to the base address of the TCPWM instance */
#define PumpSensor_timeout_HW                 (PumpSensor_timeout_TCPWM__HW)

/** This is a ptr to the base address of the TCPWM CNT instance */
#define PumpSensor_timeout_CNT_HW             (PumpSensor_timeout_TCPWM__CNT_HW)

/** This is the counter instance number in the selected TCPWM */
#define PumpSensor_timeout_CNT_NUM            (PumpSensor_timeout_TCPWM__CNT_IDX)

/** This is the bit field representing the counter instance in the selected TCPWM */
#define PumpSensor_timeout_CNT_MASK           (1UL << PumpSensor_timeout_CNT_NUM)
/** @} group_macros */

#define PumpSensor_timeout_INPUT_MODE_MASK    (0x3U)
#define PumpSensor_timeout_INPUT_DISABLED     (7U)


/*******************************************************************************
* Function Name: PumpSensor_timeout_Init
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Counter_Init() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE cy_en_tcpwm_status_t PumpSensor_timeout_Init(cy_stc_tcpwm_counter_config_t const *config)
{
    return(Cy_TCPWM_Counter_Init(PumpSensor_timeout_HW, PumpSensor_timeout_CNT_NUM, config));
}


/*******************************************************************************
* Function Name: PumpSensor_timeout_DeInit
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Counter_DeInit() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void PumpSensor_timeout_DeInit(void)                   
{
    Cy_TCPWM_Counter_DeInit(PumpSensor_timeout_HW, PumpSensor_timeout_CNT_NUM, &PumpSensor_timeout_config);
}

/*******************************************************************************
* Function Name: PumpSensor_timeout_Enable
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Enable_Multiple() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void PumpSensor_timeout_Enable(void)                   
{
    Cy_TCPWM_Enable_Multiple(PumpSensor_timeout_HW, PumpSensor_timeout_CNT_MASK);
}


/*******************************************************************************
* Function Name: PumpSensor_timeout_Disable
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Disable_Multiple() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void PumpSensor_timeout_Disable(void)                  
{
    Cy_TCPWM_Disable_Multiple(PumpSensor_timeout_HW, PumpSensor_timeout_CNT_MASK);
}


/*******************************************************************************
* Function Name: PumpSensor_timeout_GetStatus
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Counter_GetStatus() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE uint32_t PumpSensor_timeout_GetStatus(void)                
{
    return(Cy_TCPWM_Counter_GetStatus(PumpSensor_timeout_HW, PumpSensor_timeout_CNT_NUM));
}


#if(CY_TCPWM_COUNTER_MODE_CAPTURE == PumpSensor_timeout_INIT_COMPARE_OR_CAPTURE)
    /*******************************************************************************
    * Function Name: PumpSensor_timeout_GetCapture
    ****************************************************************************//**
    *
    * Invokes the Cy_TCPWM_Counter_GetCapture() PDL driver function.
    *
    *******************************************************************************/
    __STATIC_INLINE uint32_t PumpSensor_timeout_GetCapture(void)               
    {
        return(Cy_TCPWM_Counter_GetCapture(PumpSensor_timeout_HW, PumpSensor_timeout_CNT_NUM));
    }


    /*******************************************************************************
    * Function Name: PumpSensor_timeout_GetCaptureBuf
    ****************************************************************************//**
    *
    * Invokes the Cy_TCPWM_Counter_GetCaptureBuf() PDL driver function.
    *
    *******************************************************************************/
    __STATIC_INLINE uint32_t PumpSensor_timeout_GetCaptureBuf(void)            
    {
        return(Cy_TCPWM_Counter_GetCaptureBuf(PumpSensor_timeout_HW, PumpSensor_timeout_CNT_NUM));
    }
#else
    /*******************************************************************************
    * Function Name: PumpSensor_timeout_SetCompare0
    ****************************************************************************//**
    *
    * Invokes the Cy_TCPWM_Counter_SetCompare0() PDL driver function.
    *
    *******************************************************************************/
    __STATIC_INLINE void PumpSensor_timeout_SetCompare0(uint32_t compare0)      
    {
        Cy_TCPWM_Counter_SetCompare0(PumpSensor_timeout_HW, PumpSensor_timeout_CNT_NUM, compare0);
    }


    /*******************************************************************************
    * Function Name: PumpSensor_timeout_GetCompare0
    ****************************************************************************//**
    *
    * Invokes the Cy_TCPWM_Counter_GetCompare0() PDL driver function.
    *
    *******************************************************************************/
    __STATIC_INLINE uint32_t PumpSensor_timeout_GetCompare0(void)              
    {
        return(Cy_TCPWM_Counter_GetCompare0(PumpSensor_timeout_HW, PumpSensor_timeout_CNT_NUM));
    }


    /*******************************************************************************
    * Function Name: PumpSensor_timeout_SetCompare1
    ****************************************************************************//**
    *
    * Invokes the Cy_TCPWM_Counter_SetCompare1() PDL driver function.
    *
    *******************************************************************************/
    __STATIC_INLINE void PumpSensor_timeout_SetCompare1(uint32_t compare1)      
    {
        Cy_TCPWM_Counter_SetCompare1(PumpSensor_timeout_HW, PumpSensor_timeout_CNT_NUM, compare1);
    }


    /*******************************************************************************
    * Function Name: PumpSensor_timeout_GetCompare1
    ****************************************************************************//**
    *
    * Invokes the Cy_TCPWM_Counter_GetCompare1() PDL driver function.
    *
    *******************************************************************************/
    __STATIC_INLINE uint32_t PumpSensor_timeout_GetCompare1(void)              
    {
        return(Cy_TCPWM_Counter_GetCompare1(PumpSensor_timeout_HW, PumpSensor_timeout_CNT_NUM));
    }


    /*******************************************************************************
    * Function Name: PumpSensor_timeout_EnableCompareSwap
    ****************************************************************************//**
    *
    * Invokes the Cy_TCPWM_Counter_EnableCompareSwap() PDL driver function.
    *
    *******************************************************************************/
    __STATIC_INLINE void PumpSensor_timeout_EnableCompareSwap(bool enable)  
    {
        Cy_TCPWM_Counter_EnableCompareSwap(PumpSensor_timeout_HW, PumpSensor_timeout_CNT_NUM, enable);
    }
#endif /* (CY_TCPWM_COUNTER_MODE_CAPTURE == PumpSensor_timeout_INIT_COMPARE_OR_CAPTURE) */


/*******************************************************************************
* Function Name: PumpSensor_timeout_SetCounter
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Counter_SetCounter() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void PumpSensor_timeout_SetCounter(uint32_t count)          
{
    Cy_TCPWM_Counter_SetCounter(PumpSensor_timeout_HW, PumpSensor_timeout_CNT_NUM, count);
}


/*******************************************************************************
* Function Name: PumpSensor_timeout_GetCounter
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Counter_GetCounter() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE uint32_t PumpSensor_timeout_GetCounter(void)               
{
    return(Cy_TCPWM_Counter_GetCounter(PumpSensor_timeout_HW, PumpSensor_timeout_CNT_NUM));
}


/*******************************************************************************
* Function Name: PumpSensor_timeout_SetPeriod
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Counter_SetPeriod() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void PumpSensor_timeout_SetPeriod(uint32_t period)          
{
    Cy_TCPWM_Counter_SetPeriod(PumpSensor_timeout_HW, PumpSensor_timeout_CNT_NUM, period);
}


/*******************************************************************************
* Function Name: PumpSensor_timeout_GetPeriod
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Counter_GetPeriod() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE uint32_t PumpSensor_timeout_GetPeriod(void)                
{
    return(Cy_TCPWM_Counter_GetPeriod(PumpSensor_timeout_HW, PumpSensor_timeout_CNT_NUM));
}


/*******************************************************************************
* Function Name: PumpSensor_timeout_TriggerStart
****************************************************************************//**
*
* Invokes the Cy_TCPWM_TriggerStart() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void PumpSensor_timeout_TriggerStart(void)             
{
    Cy_TCPWM_TriggerStart(PumpSensor_timeout_HW, PumpSensor_timeout_CNT_MASK);
}


/*******************************************************************************
* Function Name: PumpSensor_timeout_TriggerReload
****************************************************************************//**
*
* Invokes the Cy_TCPWM_TriggerReloadOrIndex() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void PumpSensor_timeout_TriggerReload(void)     
{
    Cy_TCPWM_TriggerReloadOrIndex(PumpSensor_timeout_HW, PumpSensor_timeout_CNT_MASK);
}


/*******************************************************************************
* Function Name: PumpSensor_timeout_TriggerStop
****************************************************************************//**
*
* Invokes the Cy_TCPWM_TriggerStopOrKill() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void PumpSensor_timeout_TriggerStop(void)
{
    Cy_TCPWM_TriggerStopOrKill(PumpSensor_timeout_HW, PumpSensor_timeout_CNT_MASK);
}


/*******************************************************************************
* Function Name: PumpSensor_timeout_TriggerCapture
****************************************************************************//**
*
* Invokes the Cy_TCPWM_TriggerCaptureOrSwap() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void PumpSensor_timeout_TriggerCapture(void)     
{
    Cy_TCPWM_TriggerCaptureOrSwap(PumpSensor_timeout_HW, PumpSensor_timeout_CNT_MASK);
}


/*******************************************************************************
* Function Name: PumpSensor_timeout_GetInterruptStatus
****************************************************************************//**
*
* Invokes the Cy_TCPWM_GetInterruptStatus() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE uint32_t PumpSensor_timeout_GetInterruptStatus(void)       
{
    return(Cy_TCPWM_GetInterruptStatus(PumpSensor_timeout_HW, PumpSensor_timeout_CNT_NUM));
}


/*******************************************************************************
* Function Name: PumpSensor_timeout_ClearInterrupt
****************************************************************************//**
*
* Invokes the Cy_TCPWM_ClearInterrupt() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void PumpSensor_timeout_ClearInterrupt(uint32_t source)     
{
    Cy_TCPWM_ClearInterrupt(PumpSensor_timeout_HW, PumpSensor_timeout_CNT_NUM, source);
}


/*******************************************************************************
* Function Name: PumpSensor_timeout_SetInterrupt
****************************************************************************//**
*
* Invokes the Cy_TCPWM_SetInterrupt() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void PumpSensor_timeout_SetInterrupt(uint32_t source)
{
    Cy_TCPWM_SetInterrupt(PumpSensor_timeout_HW, PumpSensor_timeout_CNT_NUM, source);
}


/*******************************************************************************
* Function Name: PumpSensor_timeout_SetInterruptMask
****************************************************************************//**
*
* Invokes the Cy_TCPWM_SetInterruptMask() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void PumpSensor_timeout_SetInterruptMask(uint32_t mask)     
{
    Cy_TCPWM_SetInterruptMask(PumpSensor_timeout_HW, PumpSensor_timeout_CNT_NUM, mask);
}


/*******************************************************************************
* Function Name: PumpSensor_timeout_GetInterruptMask
****************************************************************************//**
*
* Invokes the Cy_TCPWM_GetInterruptMask() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE uint32_t PumpSensor_timeout_GetInterruptMask(void)         
{
    return(Cy_TCPWM_GetInterruptMask(PumpSensor_timeout_HW, PumpSensor_timeout_CNT_NUM));
}


/*******************************************************************************
* Function Name: PumpSensor_timeout_GetInterruptStatusMasked
****************************************************************************//**
*
* Invokes the Cy_TCPWM_GetInterruptStatusMasked() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE uint32_t PumpSensor_timeout_GetInterruptStatusMasked(void)
{
    return(Cy_TCPWM_GetInterruptStatusMasked(PumpSensor_timeout_HW, PumpSensor_timeout_CNT_NUM));
}

#endif /* PumpSensor_timeout_CY_TCPWM_COUNTER_PDL_H */


/* [] END OF FILE */
